Page MenuHomePhabricator

Provide more friendly wording for "Beta" explanation
Closed, ResolvedPublic

Description


Reword beta description to:
"By joining the beta, you will get access to the latest experimental features which may be subject to software defects."

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterProvided more friendly wording for "Beta" explantation
mediawiki/extensions/MobileFrontend : masterProvided more friendly wording for "Beta" explantation

Event Timeline

Moushira raised the priority of this task from to Needs Triage.
Moushira updated the task description. (Show Details)
Moushira added a project: Reading-Web-Planning.
Moushira added a subscriber: Moushira.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 10:49 PM
Moushira renamed this task from Change wording of "Beta" and "Experimental" explanation, into something more friendly to Provide more friendly wording for "Beta" and "Experimental" explanation.Jul 29 2015, 10:50 PM
Moushira set Security to None.
Moushira updated the task description. (Show Details)Jul 29 2015, 10:55 PM

@Moushira, could you please suggest an alternative text?

The wording has been like this for some time. Both are true... there are risks involved in opting into both of them, functionality has broken in them (for example search) and stayed broken for 2 weeks. Certainly I would continue to use this wording for`experimental` but we can certainly tweak the words to remove risk from beta.

Does this sound any better?:
"By joining the beta, you will get access to the latest experimental features which may be subject to bugs."

"By joining the beta, you will get access to the latest experimental features which may be subject to bugs."

Hm, experimental could be confusing with an option "Experiemental" on the page?

(We should also bear in mind we are removing alpha :))

Just saying, for now it's still here :D But you're right, if alpha is removed, this isn't a problem anymore :)

+1 to @Jdlrobson's wording. We just need to provide a wording that is more inviting yet not misleading either:)

"By joining the beta, you will get access to the latest experimental features which may be subject to bugs."

If the audience isn't techy only: subject to software defects / misbehavior / ...?

Jdlrobson updated the task description. (Show Details)Aug 4 2015, 4:18 PM
Jhernandez triaged this task as High priority.Aug 18 2015, 3:51 PM
Jhernandez updated the task description. (Show Details)
Jhernandez edited projects, added MobileFrontend; removed Readers-Web-Backlog.
Jdlrobson renamed this task from Provide more friendly wording for "Beta" and "Experimental" explanation to Provide more friendly wording for "Beta" explanation.Sep 23 2015, 7:06 PM
Jdlrobson lowered the priority of this task from High to Medium.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: good first task.
jrbs added a subscriber: jrbs.Sep 24 2015, 5:54 PM

@jrbs got suggestions for wording? :)

jrbs added a comment.Sep 24 2015, 7:18 PM

What about: "By joining the beta, you'll get access to new features in early development, which might not yet work perfectly."

Or something like that?

Change 257394 had a related patch set uploaded (by Albert221):
Provided more friendly wording for "Beta" explantation\nBug: T107367

https://gerrit.wikimedia.org/r/257394

Change 257394 had a related patch set uploaded (by Jdlrobson):
Provided more friendly wording for "Beta" explantation

https://gerrit.wikimedia.org/r/257394

Change 257390 had a related patch set uploaded (by Jdlrobson):
Provided more friendly wording for "Beta" explantation

https://gerrit.wikimedia.org/r/257390

Change 257394 abandoned by Jdlrobson:
Provided more friendly wording for "Beta" explantation

Reason:
See https://gerrit.wikimedia.org/r/#/c/257390/

https://gerrit.wikimedia.org/r/257394

Change 257390 merged by jenkins-bot:
Provided more friendly wording for "Beta" explantation

https://gerrit.wikimedia.org/r/257390

Florian closed this task as Resolved.Dec 7 2015, 7:45 PM
Florian assigned this task to Albert221.
Florian removed a project: Patch-For-Review.